httpRequestSchema
consthttpRequestSchema:object
The JSON Schemas those models were generated from, for runtime use.
Type Declaration
Section titled “Type Declaration”
readonly$id:"https://schemas.inderun.dev/1.0/http-request.schema.json"
$schema
Section titled “$schema”
readonly$schema:"https://json-schema.org/draft/2020-12/schema"
additionalProperties
Section titled “additionalProperties”
readonlyadditionalProperties:true
description
Section titled “description”
readonlydescription:"Normalized HTTP request payload for host-provided cloud transport."
properties
Section titled “properties”
readonlyproperties:object
properties.body
Section titled “properties.body”
readonlybody:object
properties.body.description
Section titled “properties.body.description”
readonlydescription:"Optional serialized request body. For JSON APIs this should be a JSON string."
properties.body.type
Section titled “properties.body.type”
readonlytype:"string"
properties.headers
Section titled “properties.headers”
readonlyheaders:object
properties.headers.additionalProperties
Section titled “properties.headers.additionalProperties”
readonlyadditionalProperties:object
properties.headers.additionalProperties.type
Section titled “properties.headers.additionalProperties.type”
readonlytype:"string"
properties.headers.description
Section titled “properties.headers.description”
readonlydescription:"HTTP headers to send after the provider adapter has applied any required transport-level credentials."
properties.headers.type
Section titled “properties.headers.type”
readonlytype:"object"
properties.method
Section titled “properties.method”
readonlymethod:object
properties.method.description
Section titled “properties.method.description”
readonlydescription:"HTTP method to use for the request."
properties.method.enum
Section titled “properties.method.enum”
readonlyenum: readonly ["GET","POST","PUT","DELETE","PATCH"]
properties.timeoutMs
Section titled “properties.timeoutMs”
readonlytimeoutMs:object
properties.timeoutMs.description
Section titled “properties.timeoutMs.description”
readonlydescription:"Optional maximum duration for the host transport attempt in milliseconds."
properties.timeoutMs.minimum
Section titled “properties.timeoutMs.minimum”
readonlyminimum:1
properties.timeoutMs.type
Section titled “properties.timeoutMs.type”
readonlytype:"integer"
properties.url
Section titled “properties.url”
readonlyurl:object
properties.url.description
Section titled “properties.url.description”
readonlydescription:"Absolute target URL for the provider transport request."
properties.url.minLength
Section titled “properties.url.minLength”
readonlyminLength:1
properties.url.type
Section titled “properties.url.type”
readonlytype:"string"
required
Section titled “required”
readonlyrequired: readonly ["method","url"]
readonlytitle:"HttpRequest"
readonlytype:"object"
IndeRun — open-source AI execution for cross-platform apps. Built and maintained by Independo GmbH (opens in new tab), supported by netidee (opens in new tab).
MIT-licensed SDK · No SDK usage telemetry.
© 2025–2026 Independo GmbH